Upstream information

CVE-2017-5648 at MITRE

Description

While investigating bug 60718, it was noticed that some calls to application listeners in Apache Tomcat 9.0.0.M1 to 9.0.0.M17, 8.5.0 to 8.5.11, 8.0.0.RC1 to 8.0.41, and 7.0.0 to 7.0.75 did not use the appropriate facade object. When running an untrusted application under a SecurityManager, it was therefore possible for that untrusted application to retain a reference to the request or response object and thereby access and/or modify information associated with another web application.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.4 1.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:N AV:L/AC:M/Au:S/C:P/I:N/A:N
Access Vector Network Local
Access Complexity Low Medium
Authentication None Single
Confidentiality Impact Partial Partial
Integrity Impact Partial None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database
Base Score 9.1
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact None
CVSSv3 Version 3
SUSE Bugzilla entry: 1033447 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Performance Computing 12 SP5
  • tomcat >= 9.0.21-3.13.2
  • tomcat-admin-webapps >= 9.0.21-3.13.2
  • tomcat-docs-webapp >= 9.0.21-3.13.2
  • tomcat-el-3_0-api >= 9.0.21-3.13.2
  • tomcat-javadoc >= 9.0.21-3.13.2
  • tomcat-jsp-2_3-api >= 9.0.21-3.13.2
  • tomcat-lib >= 9.0.21-3.13.2
  • tomcat-servlet-4_0-api >= 9.0.21-3.13.2
  • tomcat-webapps >= 9.0.21-3.13.2
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA tomcat-9.0.21-3.13.2
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Web Scripting 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Linux Enterprise Storage 6
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • tomcat >= 9.0.14-2.16
  • tomcat-admin-webapps >= 9.0.14-2.16
  • tomcat-el-3_0-api >= 9.0.14-2.16
  • tomcat-jsp-2_3-api >= 9.0.14-2.16
  • tomcat-lib >= 9.0.14-2.16
  • tomcat-servlet-4_0-api >= 9.0.14-2.16
  • tomcat-webapps >= 9.0.14-2.16
Patchnames:
SUSE Linux Enterprise Module for Web Scripting 15 SP1 GA tomcat-9.0.14-2.16
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Web Scripting 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Linux Enterprise Storage 7
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • tomcat >= 9.0.35-1.4
  • tomcat-admin-webapps >= 9.0.35-1.4
  • tomcat-el-3_0-api >= 9.0.35-1.4
  • tomcat-jsp-2_3-api >= 9.0.35-1.4
  • tomcat-lib >= 9.0.35-1.4
  • tomcat-servlet-4_0-api >= 9.0.35-1.4
  • tomcat-webapps >= 9.0.35-1.4
Patchnames:
SUSE Linux Enterprise Module for Web Scripting 15 SP2 GA tomcat-9.0.35-1.4
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Web Scripting 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Linux Enterprise Storage 7.1
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • tomcat >= 9.0.36-3.24.1
  • tomcat-admin-webapps >= 9.0.36-3.24.1
  • tomcat-el-3_0-api >= 9.0.36-3.24.1
  • tomcat-jsp-2_3-api >= 9.0.36-3.24.1
  • tomcat-lib >= 9.0.36-3.24.1
  • tomcat-servlet-4_0-api >= 9.0.36-3.24.1
  • tomcat-webapps >= 9.0.36-3.24.1
Patchnames:
SUSE Linux Enterprise Module for Web Scripting 15 SP3 GA tomcat-9.0.36-3.24.1
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Web Scripting 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • tomcat >= 9.0.36-150200.22.1
  • tomcat-admin-webapps >= 9.0.36-150200.22.1
  • tomcat-el-3_0-api >= 9.0.36-150200.22.1
  • tomcat-jsp-2_3-api >= 9.0.36-150200.22.1
  • tomcat-lib >= 9.0.36-150200.22.1
  • tomcat-servlet-4_0-api >= 9.0.36-150200.22.1
  • tomcat-webapps >= 9.0.36-150200.22.1
Patchnames:
SUSE Linux Enterprise Module for Web Scripting 15 SP4 GA tomcat-9.0.36-150200.22.1
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Web Scripting 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • tomcat >= 9.0.5-1.34
  • tomcat-admin-webapps >= 9.0.5-1.34
  • tomcat-el-3_0-api >= 9.0.5-1.34
  • tomcat-jsp-2_3-api >= 9.0.5-1.34
  • tomcat-lib >= 9.0.5-1.34
  • tomcat-servlet-4_0-api >= 9.0.5-1.34
  • tomcat-webapps >= 9.0.5-1.34
Patchnames:
SUSE Linux Enterprise Module for Web Scripting 15 GA tomcat-9.0.5-1.34
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • tomcat >= 8.0.43-10.19.1
  • tomcat-admin-webapps >= 8.0.43-10.19.1
  • tomcat-docs-webapp >= 8.0.43-10.19.1
  • tomcat-el-3_0-api >= 8.0.43-10.19.1
  • tomcat-javadoc >= 8.0.43-10.19.1
  • tomcat-jsp-2_3-api >= 8.0.43-10.19.1
  • tomcat-lib >= 8.0.43-10.19.1
  • tomcat-servlet-3_1-api >= 8.0.43-10.19.1
  • tomcat-webapps >= 8.0.43-10.19.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-848
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • tomcat >= 8.0.43-23.1
  • tomcat-admin-webapps >= 8.0.43-23.1
  • tomcat-docs-webapp >= 8.0.43-23.1
  • tomcat-el-3_0-api >= 8.0.43-23.1
  • tomcat-javadoc >= 8.0.43-23.1
  • tomcat-jsp-2_3-api >= 8.0.43-23.1
  • tomcat-lib >= 8.0.43-23.1
  • tomcat-servlet-3_1-api >= 8.0.43-23.1
  • tomcat-webapps >= 8.0.43-23.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-733
SUSE Linux Enterprise Server 12 SP3
  • tomcat >= 8.0.43-23.1
  • tomcat-admin-webapps >= 8.0.43-23.1
  • tomcat-docs-webapp >= 8.0.43-23.1
  • tomcat-el-3_0-api >= 8.0.43-23.1
  • tomcat-javadoc >= 8.0.43-23.1
  • tomcat-jsp-2_3-api >= 8.0.43-23.1
  • tomcat-lib >= 8.0.43-23.1
  • tomcat-servlet-3_1-api >= 8.0.43-23.1
  • tomcat-webapps >= 8.0.43-23.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA tomcat-8.0.43-23.1
SUSE Linux Enterprise Server 12 SP4
  • tomcat >= 9.0.12-1.7
  • tomcat-admin-webapps >= 9.0.12-1.7
  • tomcat-docs-webapp >= 9.0.12-1.7
  • tomcat-el-3_0-api >= 9.0.12-1.7
  • tomcat-javadoc >= 9.0.12-1.7
  • tomcat-jsp-2_3-api >= 9.0.12-1.7
  • tomcat-lib >= 9.0.12-1.7
  • tomcat-servlet-4_0-api >= 9.0.12-1.7
  • tomcat-webapps >= 9.0.12-1.7
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA tomcat-9.0.12-1.7
SUSE Linux Enterprise Server 12 SP5
  • tomcat >= 9.0.21-3.13.2
  • tomcat-admin-webapps >= 9.0.21-3.13.2
  • tomcat-docs-webapp >= 9.0.21-3.13.2
  • tomcat-el-3_0-api >= 9.0.21-3.13.2
  • tomcat-javadoc >= 9.0.21-3.13.2
  • tomcat-jsp-2_3-api >= 9.0.21-3.13.2
  • tomcat-lib >= 9.0.21-3.13.2
  • tomcat-servlet-4_0-api >= 9.0.21-3.13.2
  • tomcat-webapps >= 9.0.21-3.13.2
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA tomcat-9.0.21-3.13.2
SUSE Linux Enterprise Server 12-LTSS
  • tomcat >= 7.0.78-7.13.4
  • tomcat-admin-webapps >= 7.0.78-7.13.4
  • tomcat-docs-webapp >= 7.0.78-7.13.4
  • tomcat-el-2_2-api >= 7.0.78-7.13.4
  • tomcat-javadoc >= 7.0.78-7.13.4
  • tomcat-jsp-2_2-api >= 7.0.78-7.13.4
  • tomcat-lib >= 7.0.78-7.13.4
  • tomcat-servlet-3_0-api >= 7.0.78-7.13.4
  • tomcat-webapps >= 7.0.78-7.13.4
Patchnames:
SUSE-SLE-SERVER-12-2017-1027
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • tomcat >= 8.0.43-23.1
  • tomcat-admin-webapps >= 8.0.43-23.1
  • tomcat-docs-webapp >= 8.0.43-23.1
  • tomcat-el-3_0-api >= 8.0.43-23.1
  • tomcat-javadoc >= 8.0.43-23.1
  • tomcat-jsp-2_3-api >= 8.0.43-23.1
  • tomcat-lib >= 8.0.43-23.1
  • tomcat-servlet-3_1-api >= 8.0.43-23.1
  • tomcat-webapps >= 8.0.43-23.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-733
SUSE Linux Enterprise Server for SAP Applications 12
  • tomcat >= 7.0.78-7.13.4
  • tomcat-admin-webapps >= 7.0.78-7.13.4
  • tomcat-docs-webapp >= 7.0.78-7.13.4
  • tomcat-el-2_2-api >= 7.0.78-7.13.4
  • tomcat-javadoc >= 7.0.78-7.13.4
  • tomcat-jsp-2_2-api >= 7.0.78-7.13.4
  • tomcat-lib >= 7.0.78-7.13.4
  • tomcat-servlet-3_0-api >= 7.0.78-7.13.4
  • tomcat-webapps >= 7.0.78-7.13.4
Patchnames:
SUSE-SLE-SAP-12-2017-1027
openSUSE Tumbleweed
  • tomcat >= 9.0.36-8.4
  • tomcat-admin-webapps >= 9.0.36-8.4
  • tomcat-docs-webapp >= 9.0.36-8.4
  • tomcat-el-3_0-api >= 9.0.36-8.4
  • tomcat-embed >= 9.0.36-8.4
  • tomcat-javadoc >= 9.0.36-8.4
  • tomcat-jsp-2_3-api >= 9.0.36-8.4
  • tomcat-jsvc >= 9.0.36-8.4
  • tomcat-lib >= 9.0.36-8.4
  • tomcat-servlet-4_0-api >= 9.0.36-8.4
  • tomcat-webapps >= 9.0.36-8.4
Patchnames:
openSUSE Tumbleweed GA tomcat-9.0.36-8.4


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 tomcat In progress
SUSE CaaS Platform 4.0 tomcat Already fixed
SUSE Enterprise Storage 6 tomcat Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 tomcat In progress
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS tomcat Already fixed
SUSE Linux Enterprise Server 11 SP3 LTSS tomcat6 Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS tomcat6 Not affected
SUSE Linux Enterprise Server 12 LTSS tomcat Released
SUSE Linux Enterprise Server 12 SP1 tomcat Released
SUSE Linux Enterprise Server 12 SP2 tomcat Released
SUSE Linux Enterprise Server 12 SP2 BCL tomcat In progress
SUSE Linux Enterprise Server 12 SP3 BCL tomcat In progress
SUSE Linux Enterprise Server 12 SP3 ESPOS tomcat In progress
SUSE Linux Enterprise Server 12 SP3 LTSS tomcat In progress
SUSE Linux Enterprise Server 12 SP4 ESPOS tomcat In progress
SUSE Linux Enterprise Server 12 SP4 LTSS tomcat In progress
SUSE Linux Enterprise Server 12 SP5 tomcat In progress
SUSE Linux Enterprise Server 15 SP1 LTSS tomcat Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 tomcat Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 tomcat In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP4 tomcat In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP5 tomcat In progress
SUSE Linux Enterprise Server for SAP Applications 15 SP1 tomcat Already fixed
SUSE Linux Enterprise Server for the Raspberry Pi 12 SP2 tomcat Released
SUSE Manager Proxy 4.0 tomcat Already fixed
SUSE Manager Retail Branch Server 4.0 tomcat Already fixed
SUSE Manager Server 4.0 tomcat Already fixed
SUSE OpenStack Cloud 8 tomcat In progress
SUSE OpenStack Cloud 9 tomcat In progress
SUSE OpenStack Cloud Crowbar 8 tomcat In progress
SUSE OpenStack Cloud Crowbar 9 tomcat In progress